<?php
/**
 * Phoebe pedagogic planner
 *
 * PHP version 5
 *
 * LICENSE: The GNU General Public License (GPL), version 2. See LICENSE.txt
 *
 * Copyright (c) 2006-2008 JISC/HEFCE/University of Oxford
 *
 * @author      David Balch <david.balch@conted.ox.ac.uk>
 * @license     http://opensource.org/licenses/gpl-license.php GPL2
 * @link        http://phoebe-project.conted.ox.ac.uk/
 */

/* Definitions of standard pre-filled Phoebe data */
$defaultFields = array(
    'property_types' => array(
        array(
            'property_type_id' => 0,
            'property_type_name' => 'Section'
        ),
        array(
            'property_type_id' => 1,
            'property_type_name' => 'Component'
        ),
        array(
            'property_type_id' => 2,
            'property_type_name' => 'Property'
        )
    ),
    'field_types' => array(
        array(
            'field_type_id' => 0,
            'field_type_name' => 'No input',
            'description' => 'A container for other properties.'
        ),
        array(
            'field_type_id' => 1,
            'field_type_name' => 'Small text',
            'description' => 'One line of text.'
        ),
        array(
            'field_type_id' => 2,
            'field_type_name' => 'Large text',
            'description' => 'Several lines of text, supporting formatted text.'
        ),
        array(
            'field_type_id' => 3,
            'field_type_name' => 'Property reference',
            'description' => 'Reference to another property.'
        )
    ),
    'ref_types' => array(
        array(
            'ref_type_id' => 0,
            'ref_name' => 'Guidance',
            'description' => 'The primary guidance for a particular part a learning design.'
        ),
        array(
            'ref_type_id' => 1,
            'ref_name' => 'Reference',
            'description' => 'General reference material for the topic.'
        ),
        array(
            'ref_type_id' => 2,
            'ref_name' => 'Example',
            'description' => 'Specific examples for the topic.'
        )
    ),
    'share_types' => array(
        array(
            'share_type_id' => 0,
            'share_type_name' => 'Private',
            'description' => 'Viewable only by the creator.'
        ),
        array(
            'share_type_id' => 1,
            'share_type_name' => 'All rights reserved',
            'description' => 'Viewable by anyone, but cloning is not permitted.'
        ),
        array(
            'share_type_id' => 2,
            'share_type_name' => 'Public (CC BY-NC-SA)',
            'description' => 'Viewable and clonable by anyone, using a Creative Commons license.'
        )
    ),
    'multiplicity_types' => array(
        array(
            'multi_type_id' => 0,
            'multi_type_name' => 'Single',
            'description' => 'One instance of this field in the design only.'
        ),
        array(
            'multi_type_id' => 1,
            'multi_type_name' => 'Multiple',
            'description' => 'Allow duplication of this field in the design.'
        )
    )
)

?>